Package Details: mingw-w64-gcc-base 8.3.0-1

Git Clone URL: https://aur.archlinux.org/mingw-w64-gcc-base.git (read-only)
Package Base: mingw-w64-gcc-base
Description: Cross GCC for the MinGW-w64 cross-compiler (bootstrap)
Upstream URL: http://gcc.gnu.org
Licenses: GPL, custom, LGPL, FDL
Groups: mingw-w64, mingw-w64-bootstrap
Conflicts: mingw-w64-gcc
Submitter: Barthalion
Maintainer: xantares
Last Packager: xantares
Votes: 13
Popularity: 0.700202
First Submitted: 2018-01-11 19:28
Last Updated: 2019-03-06 09:03

Latest Comments

1 2 Next › Last »

ToxicAvenger commented on 2019-03-07 15:22

I tried what Hagar suggested, and it worked. Thanks a lot!!

Hagar commented on 2018-12-25 23:11

To build rust the rust developers actually require that gcc be built using --disable-sjlj-exceptions rather than --disable-dw2-exceptions

I changed my gcc build and then had no problems building rust.

I then had to rebuild every mingw package to reflect this change.

I only build using makechrootpkg.

xantares commented on 2018-08-01 06:59

indeed, seems an api incompatibility, I'll try include isl like the non bootstrap package

xiretza commented on 2018-07-31 18:50

Well, it pulls in the isl package through the cloog dependency. And with isl 0.19 it builds, with 0.20 it doesn't (both in clean chroot). Probably an upstream problem, but it's definitely related to the isl update.

xantares commented on 2018-07-31 17:12

mingw-w64-gcc builds his own isl 0.19

kingcreole commented on 2018-07-31 09:46

Hey, i just upgraded to isl 0.20 before trying to build this, and it crashes on my machine because isl_id_free, isl_id_get_user, isl_space_free, isl_space_dim and isl_id_alloc are undefined. could that be because of isl 0.20 changes? Thanks xantares for maintaining the package :)

QuartzDragon commented on 2018-04-02 14:37

Can you please update this to 7.3.0? I slightly modified the PKGBUILD to test it out, because 4.9.2-1 seems a bit too old. 7.3.0 works a charm for base. :)

dfjigdfijgojio commented on 2018-03-13 21:56

if sourceforge.net is blocked for a country, no another way for installing?

dfjigdfijgojio commented on 2018-03-13 21:53

mingw-w64-gcc-base 4.9.2-1 (2018-02-14 17:45) ( Unsupported package: Potentially dangerous ! ) ==> Edit PKGBUILD ? [Y/n] ("A" to abort) ==> ------------------------------------ ==> n

==> mingw-w64-gcc-base dependencies: - zlib (already installed) - libmpc (already installed) - ppl (already installed) - cloog (already installed) - mingw-w64-binutils (already installed) - mingw-w64-headers (building from AUR) - mingw-w64-headers-bootstrap (building from AUR)

==> Continue building mingw-w64-gcc-base ? [Y/n] ==> -------------------------------------------- ==> y

==> Building and installing package ==> Install or build missing dependencies for mingw-w64-gcc-base:

==> Downloading mingw-w64-headers PKGBUILD from AUR... x .SRCINFO x PKGBUILD xyproto commented on 2018-03-01 14:16

xantares commented on 2018-03-01 19:02

themoken commented on 2018-03-02 01:00

notyumei commented on 2018-03-03 04:26

mingw-w64-headers 5.0.3-1 (2018-03-01 21:49) ( Unsupported package: Potentially dangerous ! ) ==> Edit PKGBUILD ? [Y/n] ("A" to abort) ==> ------------------------------------ ==> n

==> mingw-w64-headers dependencies:

==> Continue building mingw-w64-headers ? [Y/n] ==> ------------------------------------------- ==> y

==> Building and installing package ==> Making package: mingw-w64-headers 5.0.3-1 (Wed Mar 14 01:22:12 +0330 2018) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Downloading mingw-w64-v5.0.3.tar.bz2... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- 0:00:32 --:--:-- 0 curl: (35) OpenSSL SSL_connect: SSL_ERROR_SYSCALL in connection to sourceforge.net:443 ==> ERROR: Failure while downloading https://sourceforge.net/projects/mingw-w64/files/mingw-w64/mingw-w64-release/mingw-w64-v5.0.3.tar.bz2 Aborting... ==> ERROR: Makepkg was unable to build mingw-w64-headers. ==> Restart building mingw-w64-headers ? [y/N] ==> ------------------------------------------ ==>

how fix?

xantares commented on 2018-02-15 19:53

it still bootstraps without c++, disabled shared, omp, threads though